org.apache.trevni

## Class ColumnValues<T extends Comparable>

- java.lang.Object
- - org.apache.trevni.ColumnValues<T>

All Implemented Interfaces:
  Iterable<T>, Iterator<T>

    public class ColumnValues<T extends Comparable>
    extends Object
    implements Iterator<T>, Iterable<T>

An iterator over column values.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRow()` Return the current row number within this file.
`boolean` `hasNext()`
`Iterator` `iterator()`
`T` `next()`
`int` `nextLength()` Expert: Returns the next length in an array column.
`T` `nextValue()` Expert: Returns the next value in a column.
`void` `remove()`
`void` `seek(long r)` Seek to the named row.
`void` `seek(T v)` Seek to the named value.
`void` `startRow()` Expert: Must be called before any calls to `nextLength()` or `nextValue()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getRow

    public long getRow()

Return the current row number within this file.

#### seek

    public void seek(long r)
              throws IOException

Seek to the named row.

Throws:
  `IOException`

#### seek

    public void seek(T v)
              throws IOException

Seek to the named value.

Throws:
  `IOException`

#### iterator

    public Iterator iterator()

Specified by:
  `iterator` in interface `Iterable<T extends Comparable>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T extends Comparable>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T extends Comparable>`

#### startRow

    public void startRow()
                  throws IOException

Expert: Must be called before any calls to `nextLength()` or `nextValue()`.

Throws:
  `IOException`

#### nextLength

    public int nextLength()
                   throws IOException

Expert: Returns the next length in an array column.

Throws:
  `IOException`

#### nextValue

    public T nextValue()
                throws IOException

Expert: Returns the next value in a column.

Throws:
  `IOException`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T extends Comparable>`